## org.hibernate.engine.spi
Class SubselectFetch

    java.lang.Object
      org.hibernate.engine.spi.SubselectFetch

    public class SubselectFetch

extends Object

Constructor Summary
`SubselectFetch(String alias, Loadable loadable, QueryParameters queryParameters, Set resultingEntityKeys, Map namedParameterLocMap)`

Method Summary
`Map` `getNamedParameterLocMap()`
`QueryParameters` `getQueryParameters()`
`Set` `getResult()` Get the Set of EntityKeys
`String` `toString()`
`String` `toSubselectString(String ukname)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SubselectFetch

    public SubselectFetch(String alias,
                          Loadable loadable,
                          QueryParameters queryParameters,
                          Set resultingEntityKeys,
                          Map namedParameterLocMap)

Method Detail

### getQueryParameters

    public QueryParameters getQueryParameters()

### getResult

    public Set getResult()

  Get the Set of EntityKeys

### toSubselectString

    public String toSubselectString(String ukname)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getNamedParameterLocMap

    public Map getNamedParameterLocMap()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.